PatternBox Class Reference

A modified QComboBox allowing to choose a Qt::BrushStyle style. More...

`#include <PatternBox.h>`

Inheritance diagram for PatternBox:

## Public Member Functions

Qt::BrushStyle | getSelectedPattern () const
| PatternBox (QWidget *parent=0)
| Constructor. More...
void | setPattern (const Qt::BrushStyle &c)

## Static Public Member Functions

static Qt::BrushStyle | brushStyle (int index)
static int | patternIndex (const Qt::BrushStyle &style)

## Protected Member Functions

void | init ()

## Static Private Attributes

static const Qt::BrushStyle | patterns []

## Detailed Description

A modified QComboBox allowing to choose a Qt::BrushStyle style.

This is a simple hack on top of the QComboBox class.

## Constructor & Destructor Documentation

## PatternBox()

PatternBox::PatternBox | ( | QWidget * | parent = `0` | ) |

Constructor.

Parameters

  parent | parent widget (only affects placement of the widget)

References init().

## Member Function Documentation

## brushStyle()

Qt::BrushStyle PatternBox::brushStyle | ( | int | index | ) |

static

References patterns.

Referenced by Integration::output(), Graph::plotPie(), ApplicationWindow::readSettings(), RectangleWidget::restore(), EllipseWidget::restore(), PlotCurve::restoreCurveLayout(), and Graph::updateCurveLayout().

## getSelectedPattern()

Qt::BrushStyle PatternBox::getSelectedPattern | ( |  | ) | const

References patterns.

Referenced by PlotDialog::acceptParams(), EnrichmentDialog::setPatternTo(), and EnrichmentDialog::setRectangleDefaultValues().

## init()

void PatternBox::init | ( |  | ) |

protected

Referenced by PatternBox().

## patternIndex()

int PatternBox::patternIndex | ( | const Qt::BrushStyle & | style | ) |

static

References patterns.

Referenced by PlotCurve::saveCurveLayout(), Graph::saveCurveLayout(), Graph::savePieCurveLayout(), ApplicationWindow::saveSettings(), EllipseWidget::saveToString(), and RectangleWidget::saveToString().

## setPattern()

void PatternBox::setPattern | ( | const Qt::BrushStyle & | c | ) |

References patterns.

Referenced by PlotDialog::setActiveCurve(), and EnrichmentDialog::setWidget().

## Member Data Documentation

## patterns

const Qt::BrushStyle PatternBox::patterns

static private

Initial value:
= {
Qt::SolidPattern,
Qt::HorPattern,
Qt::VerPattern,
Qt::CrossPattern,
Qt::BDiagPattern,
Qt::FDiagPattern,
Qt::DiagCrossPattern,
Qt::Dense1Pattern,
Qt::Dense2Pattern,
Qt::Dense3Pattern,
Qt::Dense4Pattern,
Qt::Dense5Pattern,
Qt::Dense6Pattern,
Qt::Dense7Pattern,
Qt::NoBrush
}

Referenced by brushStyle(), getSelectedPattern(), patternIndex(), and setPattern().

The documentation for this class was generated from the following files:

- qtiplot/src/lib/include/PatternBox.h
- qtiplot/src/lib/src/PatternBox.cpp